## python-s3fs 2025.12.0

=== requirements.txt ===
aiobotocore>=2.5.4,<3.0.0
fsspec==2025.12.0
aiohttp!=4.0.0a0, !=4.0.0a1

=== debian/changelog ===
python-s3fs (2025.12.0-1) unstable; urgency=low

  * Initial release (Closes: #1122885).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 31 Dec 2025 08:51:21 +0000

=== debian/control ===
Source: python-s3fs
Section: python
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-aiobotocore,
               python3-aiohttp,
               python3-all,
               python3-fsspec,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>
Standards-Version: 4.7.2
Homepage: https://github.com/fsspec/s3fs
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-s3fs
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-s3fs.git
Description: Convenient Filesystem interface over S3
 Pythonic file interface to S3, s3fs builds on top of botocore.
 .
 The top-level class S3FileSystem holds connection information and
 allows typical file-system style operations like cp, mv, ls, du,
 glob, etc., as well as put/get of local files to/from S3.
 .
 The connection can be anonymous - in which case only
 publicly-available, read-only buckets are accessible - or via
 credentials explicitly supplied or in configuration files.
 .
 Calling open() on a S3FileSystem (typically using a context manager)
 provides an S3File for read or write access to a particular key.
 The object emulates the standard File protocol (read, write, tell,
 seek), such that functions expecting a file can access S3.
 Only binary read and write modes are implemented, with blocked
 caching.
 .
 S3Fs uses and is based upon fsspec.

Package: python3-s3fs
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

## python-s3fs 2026.2.0

=== requirements.txt ===
aiobotocore>=2.19.0,<4.0.0
fsspec==2026.2.0
aiohttp!=4.0.0a0, !=4.0.0a1

=== debian/changelog ===
python-s3fs (2026.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 14 Feb 2026 18:08:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-s3fs
 Section: python
-Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
 Build-Depends: debhelper-compat (= 13),
@@ -14,7 +13,7 @@
                python3-setuptools,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/fsspec/s3fs
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-s3fs
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-s3fs.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=s3fs

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html docs/source $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?\/)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/fsspec/s3fs/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
